al_get_path_drive(3)

NAME

al_get_path_drive - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_path_drive(const ALLEGRO_PATH *path)

DESCRIPTION

Return the drive letter on a path, or the empty string if there is none.

The "drive letter" is only used on Windows, and is usually a string like "c:", but may be something like "\\Computer Name" in the case of UNC (Uniform Naming Convention) syntax.